/**
 * apeman template of bud files.
 * @memberof module:apeman-tmpl-bud/lib
 * @function load
 * @param {object} params - Template params.
 * @param {string} [mode='644'] - File permission.
 * @param {boolean} [force=false] - Override or not.
 * @returns {object} - Coz bud configuration.
 */

"use strict";

const argx = require('argx'),
    assert = require('assert'),
    fs = require('fs'),
    _bud = require('./_bud'),
    _tmpl = require('./_tmpl');

/** @lends load */
function load(params, mode, force) {
    let args = argx(arguments);
    params = args.shift('object') || {};

    assert(params.type, "params.type is required.");

    let tmpl = _tmpl(params.type);
    return _bud(tmpl, params, mode, force);
}

module.exports = load;

